Loading...
Searching...
No Matches
IsoSpec::MarginalTrek Class Reference

The marginal distribution class (a subisotopologue). More...

`#include <marginalTrek++.h>`

Inheritance diagram for IsoSpec::MarginalTrek:

## Public Member Functions

| MarginalTrek (Marginal &&m, int tabSize=1000, int hashSize=1000)
| Move constructor: specializes the Marginal class.
| MarginalTrek (const MarginalTrek &other)=delete
MarginalTrek & | operator= (const MarginalTrek &other)=delete
bool | probeConfigurationIdx (int idx)
| Check if the table of computed subisotopologues does not have to be extended.
double | getModeLProb () const
| Get the log-probability of the mode subisotopologue.
const pod_vector< double > & | conf_lprobs () const
const pod_vector< double > & | conf_masses () const
const pod_vector< Conf > & | confs () const
Public Member Functions inherited from IsoSpec::Marginal
| Marginal (const double *_masses, const double *_probs, int _isotopeNo, int _atomCnt)
| Class constructor.
Marginal & | operator= (const Marginal &other)=delete
| Marginal (const Marginal &other)
| Copy constructor.
| Marginal (Marginal &&other)
| Move constructor.
virtual | ~Marginal ()
| Destructor.
int | get_isotopeNo () const
| Get the number of isotopes of the investigated element.
const double * | get_lProbs () const
double | getLightestConfMass () const
| Get the mass of the lightest subisotopologue.
double | getHeaviestConfMass () const
| Get the mass of the heaviest subisotopologue.
double | getMonoisotopicConfMass () const
| Get the mass of the monoisotopic subisotopologue.
size_t | getMonoisotopicAtomIndex () const
| Get the index of the monoisotopic (most probable) atom.
double | getModeMass ()
| The the mass of the mode subisotopologue.
double | getModeLProb ()
| Get the log-probability of the mode subisotopologue.
double | fastGetModeLProb ()
| Get the log-probability of the mode subisotopologue. Results undefined if ensureModeConf() wasn't called before.
Conf | computeModeConf () const
| The the probability of the mode subisotopologue.
double | getSmallestLProb () const
| The the log-probability of the lightest subisotopologue.
double | getAtomAverageMass () const
| The average mass of a single atom.
double | getTheoreticalAverageMass () const
| The theoretical average mass of the molecule.
double | variance () const
| Calculate the variance of the theoretical distribution describing the subisotopologue.
double | getLogSizeEstimate (double logEllipsoidRadius) const
| Return estimated logarithm of size of the marginal at a given ellipsoid radius.
void | ensureModeConf ()

## Additional Inherited Members

Protected Member Functions inherited from IsoSpec::Marginal
ISOSPEC_FORCE_INLINE double | unnormalized_logProb (Conf conf) const
| Calculate the log-probability of a given subisotopologue.
ISOSPEC_FORCE_INLINE double | logProb (Conf conf) const
Protected Attributes inherited from IsoSpec::Marginal
const unsigned int | isotopeNo
const unsigned int | atomCnt
const double *const | atom_lProbs
const double *const | atom_masses
const double | loggamma_nominator
Conf | mode_conf
double | mode_lprob

## Detailed Description

The marginal distribution class (a subisotopologue).

Definition at line 183 of file marginalTrek++.h.

## Constructor & Destructor Documentation

## MarginalTrek()

IsoSpec::MarginalTrek::MarginalTrek | ( | Marginal && | m,
|  | int | tabSize = 1000,
|  | int | hashSize = 1000 )

Move constructor: specializes the Marginal class.

Parameters

  tabSize | The size of the table used to store configurations in the allocator.
  hashSize | The size of the hash table used to store visited subisotopologues.

Definition at line 329 of file marginalTrek++.cpp.

## ~MarginalTrek()

IsoSpec::MarginalTrek::~MarginalTrek | ( |  | ) |

virtual

Definition at line 440 of file marginalTrek++.cpp.

## Member Function Documentation

## conf_lprobs()

const pod_vector< double > & IsoSpec::MarginalTrek::conf_lprobs | ( |  | ) | const

inline

Definition at line 241 of file marginalTrek++.h.

## conf_masses()

const pod_vector< double > & IsoSpec::MarginalTrek::conf_masses | ( |  | ) | const

inline

Definition at line 242 of file marginalTrek++.h.

## confs()

const pod_vector< Conf > & IsoSpec::MarginalTrek::confs | ( |  | ) | const

inline

Definition at line 243 of file marginalTrek++.h.

## getModeLProb()

double IsoSpec::MarginalTrek::getModeLProb | ( |  | ) | const

inline

Get the log-probability of the mode subisotopologue.

Returns
  The log-probability of a/the most probable subisotopologue.

Definition at line 238 of file marginalTrek++.h.

## probeConfigurationIdx()

bool IsoSpec::MarginalTrek::probeConfigurationIdx | ( | int | idx | ) |

inline

Check if the table of computed subisotopologues does not have to be extended.

This function checks if the idx-th most probable subisotopologue was memoized and if not, computes it and memoizes it.

Parameters

  idx | The number of the idx-th most probable subisotopologue.

Returns
  Returns false if it the provided idx exceeds the total number of subisotopologues.

Definition at line 226 of file marginalTrek++.h.

The documentation for this class was generated from the following files:

- /build/isospec-8QB56o/isospec-2.3.2/src/IsoSpec++/marginalTrek++.h
- /build/isospec-8QB56o/isospec-2.3.2/src/IsoSpec++/marginalTrek++.cpp